[page:KeyframeTrack] →

# [name]

A Track of numeric keyframe values.

## Constructor

### [name]( [param:String name], [param:Array times], [param:Array values] )

[page:String name] - (required) identifier for the KeyframeTrack.
[page:Array times] - (required) array of keyframe times.
[page:Array values] - values for the keyframes at the times specified.
[page:Constant interpolation] - the type of interpolation to use. See [page:Animation Animation Constants] for possible values. Default is [page:Animation InterpolateLinear].

## Properties

See [page:KeyframeTrack] for inherited properties.

### [property:String ValueTypeName]

String 'number'.

## Methods

See [page:KeyframeTrack] for inherited methods.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]